Samsung SmartThings on LineageOS getting "Galaxy SmartTag is only supported on Galaxy devices running Android 8.0 or higher"



  • I'm trying to add a Samsung Galaxy SmartTag to my install of Samsung SmartThings on LinageOS 10 but I'm getting

    Samsung SmartThings error

    Can't add this device "Galaxy SmartTag is only supported on Galaxy devices running Android 8.0 or higher"

    Is there a way to add SmartTags to a LinageOS install of SmartThings? Is there a way to mock the operating system or otherwise work around this limitation?



  • Samsung devices are heavily modified by Samsung. LineageOS and "Samsung Android" are different at a large number of points regarding the installed system components and provided APIs. As all those modified system components are closed-source it is not possible to adapt them to LineageOS (if some one would really would try it as this would be a very complex task).

    Therefore the only way to get such apps running with an reasonable effort is using a ROM that bases on an original Samsung ROM (or just use the original ROM of your device).

    But there is one exception: if the Samsung Galaxy SmartTag app requires Knox, the security feature of Samsung Galaxy devices, then you are totally out of luck, because Knox permanently disables itself once you have unlocked the bootloader.




Suggested Topics

  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2